chyba apt-get || dpkg??

Sekcia: Aplikácie & Desktop 16.08.2010 | 23:16
Avatar linuxacik Debian  Používateľ
Dobrý.. Nainštaloval som zakladny system debianu 5.05 a updatol som apt-get...

Keď chcem ísť nainštalovat php5-mysql tak mi vyhodí takéto chyby aj pri viacerých balíkoch

junior:~# apt-get install php5-mysql
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
libapache2-mod-php5 libc-bin libc6 libc6-i686 libdb4.7 libgssapi-krb5-2 libk5crypto3 libkrb5-3 libkrb5support0 libmysqlclient16
locales php5-common php5-gd
Suggested packages:
php-pear glibc-doc krb5-doc krb5-user php5-suhosin
The following NEW packages will be installed:
libc-bin libdb4.7 libgssapi-krb5-2 libk5crypto3 libkrb5-3 libkrb5support0 libmysqlclient16 php5-mysql
The following packages will be upgraded:
libapache2-mod-php5 libc6 libc6-i686 locales php5-common php5-gd
6 upgraded, 8 newly installed, 0 to remove and 92 not upgraded.
Need to get 0B/15.3MB of archives.
After this operation, 17.5MB of additional disk space will be used.
Do you want to continue [Y/n]? y
WARNING: The following packages cannot be authenticated!
libc-bin libc6 libc6-i686 locales libdb4.7 libkrb5support0 libk5crypto3 libkrb5-3 libgssapi-krb5-2 php5-gd libapache2-mod-php5
php5-common libmysqlclient16 php5-mysql
Install these packages without verification [y/N]? y
Preconfiguring packages ...
dpkg: considering deconfiguration of libc6, which would be broken by installation of libc-bin ...
dpkg: yes, will deconfigure libc6 (broken by libc-bin).
(Reading database ... 22574 files and directories currently installed.)
Unpacking libc-bin (from .../libc-bin_2.10.1-0ubuntu17_i386.deb) ...
De-configuring libc6 ...
Replacing files in old package libc6 ...
dpkg: error processing /var/cache/apt/archives/libc-bin_2.10.1-0ubuntu17_i386.deb (--unpack):
trying to overwrite `/usr/sbin/update-locale', which is also in package locales
dpkg-deb: subprocess paste killed by signal (Broken pipe)
Errors were encountered while processing:
/var/cache/apt/archives/libc-bin_2.10.1-0ubuntu17_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
junior:~#


neviete prosím prečo a čo s tým?
Dal som si debian, a druhy HDD s naj vecami sa mi zmazal xD
    • Re: chyba apt-get || dpkg?? 17.08.2010 | 00:13
      WlaSaTy   Návštevník
      :Nainštaloval som zakladny system debianu 5.05
      :Errors were encountered while processing:
      /var/cache/apt/archives/libc-bin_2.10.1-0ubuntu17_i386.deb

      :neviete prosím prečo a čo s tým?

      No, miešať repozitáre Ubuntu do Debianu asi nie je to pravé orechové. Je to niečo ako prézle trošku opražené s práškovým cukrom na kúsočku masla.
      • Re: chyba apt-get || dpkg?? 17.08.2010 | 01:04
        Avatar linuxacik Debian  Používateľ
        aha :D skúsim to ale nemyslím si.. doteraz mi to šlapalo ale dik za opravu
        Dal som si debian, a druhy HDD s naj vecami sa mi zmazal xD
        • Re: chyba apt-get || dpkg?? 17.08.2010 | 03:10
          Avatar Milan Dvorský debian,mint kde,android  Administrátor
          kedze ubuntu ma vyrazne novsie baliky ako vcerajsi oslavenec Debian (17 rokov), tak je jasne, ze zavislosti nebudu sediet. ked tak, zakomentuj v sources.list zdroje od ubuntu, zbehni update a pouzi apt-get -f install
    • Re: chyba apt-get || dpkg?? 19.08.2010 | 18:18
      Avatar bedňa antiX, Devuan, LegacyIce  Administrátor
      Nevizerá to dobre, skús to čo radí eMDi, pokiaľ nezaberie, skús nainštaľovať hocijaký iný balíček, pokiaľ bude rovnaký problém, tak potom je chyba v jednom konfiguráku, do ktorého si Debian ukladá info o inštalácií, neviem si ale zaboha spomänúť ako sa volá :) Pred rokmi som mal podobný problém. Ozaj a dúfam že si neznásilňoval ibc6 lebo systém hlási že je rozbitý! Poďalšie prečo neinštaľuješ LAMP, to máš Apache, PHP, MySQL na ranu a neriešiš nastavenia, tak si to nekomplikuj :)
      Táto správa neobsahuje vírus, pretože nepoužívam MS Windows. http://kernelultras.org
      • Re: chyba apt-get || dpkg?? 26.08.2010 | 01:47
        Avatar linuxacik Debian  Používateľ
        lenže ja som tak
        1. zvyknutý
        2. chcem sa hrabať v nastaveniach
        3. na linuxe mi neni sympaticke lampp .. klasika je klasika :)
        Dal som si debian, a druhy HDD s naj vecami sa mi zmazal xD
        • Re: chyba apt-get || dpkg?? 26.08.2010 | 14:39
          Avatar bedňa antiX, Devuan, LegacyIce  Administrátor
          Neviem prečo ti nieje sympatický LAMP, však cez configuráky môžeš rozbiť Linux, Apache, MySQL a PHP aj tak. A nič neklasické na tom nieje.
          Táto správa neobsahuje vírus, pretože nepoužívam MS Windows. http://kernelultras.org